This section will allow you to import the assets used in the newletters from Ecolyo


## Import assets

In the rec or prod server, in the folder ```scripts```, there is the following script, named ```import-convert-assets.sh``` . 

```bash
#!/bin/bash

# Get env variables
. ../.env
EMAIL_ASSETS_PATH="src/assets/icons/email"
ECOGESTURE_ASSETS_PATH="src/assets/icons/visu/ecogesture"
EXPORT_FORMAT=".png"
pwd=$(pwd)

# Fetch and convert email assets
curl "https://forge.grandlyon.com/api/v4/projects/409/repository/archive?path=${EMAIL_ASSETS_PATH}" --output email.tar.gz
tar -xf email.tar.gz
cd *-email/$EMAIL_ASSETS_PATH && for file in *.svg; do inkscape -h 200 -w 200 -e $(echo "$file" | sed "s/.svg/$EXPORT_FORMAT/") $file; done && rm *.svg
cd $pwd

# Fetch and convert ecogesture assets
curl "https://forge.grandlyon.com/api/v4/projects/409/repository/archive?path=$ECOGESTURE_ASSETS_PATH" --output ecogesture.tar.gz
tar -xf ecogesture.tar.gz
cd *-ecogesture/$ECOGESTURE_ASSETS_PATH && for file in *.svg; do inkscape -h 200 -w 200 -e $(echo "$file" | sed "s/.svg/$EXPORT_FORMAT/") ${file}; done && rm *.svg

# Cleanup
cd $pwd
rm -rf ../$IMAGE_FOLDER
mv *-email/$EMAIL_ASSETS_PATH ../$IMAGE_FOLDER
mv *-ecogesture/$ECOGESTURE_ASSETS_PATH ../$IMAGE_FOLDER/ecogesture
rm -rf email.tar.gz ecogesture.tar.gz *-email *-ecogesture

# Give ownership to container user
chown -R 1000:1000 ../$IMAGE_FOLDER
```

To import assets for the ecogesture images, run  (inside of ```scripts``` folder)
```
sudo sh import-convert-assets.sh
```


Check that a "image-lib" folder has been created, that it contains a "ecogesture" folder and some PNG images and that the owner of the "image-lib" folder is the user id 1000.

